package com.ningdatech.carapi.irs.manage;

import com.ningdatech.carapi.irs.service.SmsService;
import com.ningdatech.carapi.open.model.dto.UserLoginDTO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Classname SmsManage
 * @Description 短信通
 * @Date 2023/3/1 16:53
 * @Author PoffyZhang
 */
@Slf4j
@Component
@RequiredArgsConstructor
public class SmsManage {

    private final SmsService service;
    public String sendSmsCode(String mobile, String verificationCode) {
        return service.sendSmsCode(mobile,verificationCode);
    }

    public String getCode(UserLoginDTO param) {
        return service.getCode(param);
    }
}
